---
title: Range.comparePoint()
slug: Web/API/Range/comparePoint
tags:
  - API
  - DOM
  - DOM Reference
  - Experimental
  - Method
  - Range
  - Reference
---
<div>{{ApiRef("DOM")}} {{SeeCompatTable}}</div>

<p>The <strong><code>Range.comparePoint()</code></strong> method returns <code>-1</code>, <code>0</code>, or <code>1</code> depending on whether the <code>referenceNode</code> is before, the same as, or after the {{domxref("Range")}}.</p>

<p>If the <em>reference node</em> is a {{domxref("Node")}} of type {{domxref("Text")}}, {{domxref("Comment")}}, or {{domxref("CDATASection")}}, then offset is the number of characters from the start of <em>reference node</em>. For other {{domxref("Node")}} types, offset is the number of child nodes between the start of the <em>reference node</em>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>returnValue</em> = <em>range</em>.comparePoint(<em>referenceNode</em>, <em>offset</em>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>referenceNode</code></dt>
 <dd>The {{domxref("Node")}} to compare with the {{domxref("Range")}}.</dd>
 <dt><code>offset</code></dt>
 <dd>An integer greater than or equal to zero representing the offset inside the <em>referenceNode</em>.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">range = document.createRange();
range.selectNode(document.getElementsByTagName('div').item(0));
returnValue = range.comparePoint(document.getElementsByTagName('p').item(0), 1);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-comparepoint', 'Range.comparePoint()')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Range.comparePoint")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/DOM/DOM_Reference">The DOM interfaces index</a></li>
</ul>
